Bug 68211 - remove default NULL argument in LayerChromium::create()
Summary: remove default NULL argument in LayerChromium::create()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Shawn Singh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-15 19:29 PDT by Shawn Singh
Modified: 2011-10-11 16:49 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.34 KB, patch)
2011-09-15 19:58 PDT, Shawn Singh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shawn Singh 2011-09-15 19:29:59 PDT
All existing instances of LayerChromium give an instance of the delegate, and it seems error prone to keep this default arg.
Comment 1 Shawn Singh 2011-09-15 19:58:02 PDT
Created attachment 107588 [details]
Patch
Comment 2 James Robinson 2011-09-15 23:47:45 PDT
Comment on attachment 107588 [details]
Patch

Looks good. PluginLayerChromium has one of these too
Comment 3 WebKit Review Bot 2011-09-16 17:49:33 PDT
Comment on attachment 107588 [details]
Patch

Clearing flags on attachment: 107588

Committed r95344: <http://trac.webkit.org/changeset/95344>
Comment 4 WebKit Review Bot 2011-09-16 17:49:37 PDT
All reviewed patches have been landed.  Closing bug.